#ifndef CUSTOMPLUGIN_H
#define CUSTOMPLUGIN_H

#include "screensaverplugin.h"
#include <QObject>

class CustomPlugin : public QObject, ScreensaverPlugin
{
    Q_OBJECT
    //声明QT识别的唯一标识符
    Q_PLUGIN_METADATA(IID "org.ukui.screensaver.screensaver-default1.0.0")
    //声明实现的插件接口
    Q_INTERFACES(ScreensaverPlugin)
public:
    CustomPlugin(QObject* parent = 0);
    QString name() const override;
    QWidget* createWidget(bool isScreensaver,QWidget* parent) override;
    QString displayName() const override;
};

#endif // CUSTOMPLUGIN_H
